<?php 
$archivos = '';
$archivos2 = '';
$nombre = '';
 $files  = array();
 if( $_REQUEST["archivos"] ) {$archivos = $_REQUEST['archivos'];}
 if( $_REQUEST["archivos2"] ) {$archivos2 = $_REQUEST['archivos2'];}
 if( $_REQUEST["nombre"] ) {$nombre = $_REQUEST['nombre'];}
if($nombre == ''){
    $nombre_zip = "IM2.zip";
}
else{
   $nombre_zip = $nombre . ".zip";
}
if ($archivos <> '')
{
    $larchivos = explode(',',$archivos);
    if(is_array($larchivos)) {
        foreach($larchivos as $file) {
            array_push($files,$file);
        }
     }
}
if ($archivos2 <> '')
{
    $larchivos = explode(',',$archivos2);
    if(is_array($larchivos)) {
        foreach($larchivos as $file) {  
            array_push($files,$file);
         }
     }
}
if (count($files) > 0)
{
   $zip = new ZipArchive();
   $ruta_completa = $_SERVER['DOCUMENT_ROOT'] . '/IM/archivos/tmp';
   $tmp_file = $ruta_completa . '/' . $nombre_zip;
   $zip->open($tmp_file, ZipArchive::CREATE);
   foreach($files as $file){
       $file2 = $_SERVER['DOCUMENT_ROOT'] . $file;
       $ruta_archivo = pathinfo($file); 
       $nombre_archivo = $ruta_archivo["basename"]; 
       $zip->addFile($file2,$nombre_archivo);
   }
   $zip->close();
  $resu =  '/CONEXIONES/archivos/tmp/' . $nombre_zip;
echo $resu;
}
else
{
echo '';
}
?>